import * as THREE from 'three';
import { Scene } from 'three';
import { GLTFLoader } from 'three/examples/jsm/loaders/GLTFLoader.js';
const main = document.querySelector("#main");

// import GLTFLoader from 'three-gltf-loader';
const OrbitControls = require('three-orbitcontrols')



// const scene = new THREE.Scene();
// const camera = new THREE.PerspectiveCamera(75, innerHeight / innerHeight, 0.1, 1000);



// const light = new THREE.PointLight( 0xffffff, 1, 1000 );
// light.position.set( 200, 200, 200 );
// scene.add( light );
// scene.background = new THREE.Color(0xdddddd);
// camera.position.set(0, 0, 100);
// const renderer = new THREE.WebGLRenderer();



// renderer.setSize(innerWidth, innerHeight)




// const controlsCamra = new OrbitControls(camera, renderer.domElement)

// function animate() {
//     controlsCamra.update();
//     requestAnimationFrame(animate);
//     renderer.render(scene, camera);
// }
// animate();
let scene, camera, renderer, hlighit;
const init = () => {
	scene = new THREE.Scene();
	scene.background = new THREE.Color("#e9e9e9");

	camera = new THREE.PerspectiveCamera(50, innerWidth / innerHeight, 1, 2000);
	camera.position.set(0, 50, 300);

	const light = new THREE.PointLight( 0xffffff, 1, 1000 );
light.position.set( 200, 200, 200 );
scene.add( light );

	hlighit = new THREE.AmbientLight(0x404040, 100);
	scene.add(hlighit);

	renderer = new THREE.WebGLRenderer({ antialias: true });
	renderer.setSize(window.innerWidth, window.innerHeight);
	// document.body.appendChild(renderer.domElement);
	main.appendChild(renderer.domElement);

	const loader = new GLTFLoader();

	loader.load('./model/scene.gltf', function (gltf) {

		scene.add(gltf.scene);
		renderer.render(scene, camera);

	}, undefined, function (error) {

		console.error(error);

	});
	const controlsCamra = new OrbitControls(camera, renderer.domElement)

	function animate() {
		controlsCamra.update();
		requestAnimationFrame(animate);
		renderer.render(scene, camera);
		// mesh.rotation.y += 0.01;
	}
	animate();
	
}
init();
